<app-navbar [media]="media" (toggle)="snavbar.toggle()"></app-navbar>
<mat-sidenav-container>
    <mat-sidenav #snavbar
                 [mode]="mobileQuery.matches ? 'over' : 'side'"
                 align="start"
                 [opened]="opened"
                 *ngIf="canEditUsers"
                 (openedChange)="toggle($event)"
                 class="mat-elevation-z3">
        <app-sidenav></app-sidenav>
    </mat-sidenav>
    <mat-sidenav-content>
        <app-page-header>
            <a mat-mini-fab [routerLink]="createLink" *ngIf="createLink && canEditUsers" style="margin-left: auto; margin-right: 60px;">
                <mat-icon>add</mat-icon>
            </a>
        </app-page-header>
        <main class="main" [@routerTransition]="getState(o)">
            <router-outlet #o="outlet" class="inner-router-outlet"></router-outlet>
        </main>
        <div id="sidenav-info-toggle" class="mat-elevation-z1" [class.visible]="infosnav.opened" (click)="infosnav.toggle()">
            <img src="/assets/images/logo-irre.svg" width="30">
        </div>
        <app-overlay *ngIf="overlay"></app-overlay>
    </mat-sidenav-content>
    <mat-sidenav #infosnav [mode]="mobileQuery.matches ? 'over' : 'side'" align="end" [opened]="infoOpened" class="mat-elevation-z3">
        <app-sidenav-info (close)="infosnav.toggle()"></app-sidenav-info>
    </mat-sidenav>
</mat-sidenav-container>